Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.term
Class OwlGo_term

    java.lang.Object
      |
      +--edu.hust.go.term.DefaultGO_term
            |
            +--edu.hust.go.term.OwlGo_term

All Implemented Interfaces:
  java.lang.Cloneable, GO_term

public class OwlGo_term
extends DefaultGO_term

Field Summary

Fields inherited from class edu.hust.go.term.DefaultGO_term
`def, id, is_a, name, part_of`

Constructor Summary
`OwlGo_term(org.w3c.dom.Document doc)`

Method Summary
`(package private) java.util.Vector` | `setIs_a(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.util.Vector` | `setPartOf(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.lang.String` | `transform(java.lang.String owlGoid)`

Methods inherited from class edu.hust.go.term.DefaultGO_term
`getDef, getId, getIs_a, getName, getPart_of, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OwlGo_term

    public OwlGo_term(org.w3c.dom.Document doc)
               throws javax.xml.transform.TransformerException

Method Detail

### transform

    java.lang.String transform(java.lang.String owlGoid)

### setIs_a

    java.util.Vector setIs_a(org.w3c.dom.Document doc,
                             CachedXPathAPI xpath)
                       throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setPartOf

    java.util.Vector setPartOf(org.w3c.dom.Document doc,
                               CachedXPathAPI xpath)
                         throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD